---
title: HTMLOrForeignElement.tabIndex
slug: Web/API/HTMLOrForeignElement/tabIndex
tags:
  - API
  - HTML DOM
  - HTMLElement
  - HTMLOrForeignElement
  - Property
  - Reference
  - tabIndex
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>tabIndex</code></strong> property of the {{DOMxRef("HTMLOrForeignElement")}} interface represents the tab order of the current element.</span></p>

<p>Tab order is as follows:</p>

<ol>
 <li>Elements with a positive <code>tabIndex</code>. Elements that have identical <code>tabIndex</code> values should be navigated in the order they appear. Navigation proceeds from the lowest <code>tabIndex</code> to the highest <code>tabIndex</code>.</li>
 <li>Elements that do not support the <code>tabIndex</code> attribute or support it and assign <code>tabIndex</code> to <code>0</code>, in the order they appear.</li>
</ol>

<p>Elements that are disabled do not participate in the tabbing order.</p>

<p>Values don't need to be sequential, nor must they begin with any particular value. They may even be negative, though each browser trims very large values.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>element</em>.tabIndex = <em>index</em>;
var <em>index</em> = <em>element</em>.tabIndex;
</pre>

<h3 id="Value">Value</h3>

<p><code>index</code> is an integer</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">const b1 = document.getElementById('button1');

b1.tabIndex = 1;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-tabindex', 'tabindex')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('DOM2 HTML')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-40676705', 'tabindex')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName('DOM1')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-40676705', 'tabindex')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.tabIndex")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Accessibility/Keyboard-navigable_JavaScript_widgets">Accessibility of keyboard-navigable JavaScript widgets</a></li>
 <li>The HTML <code><a href="/en-US/docs/Web/HTML/Global_attributes/tabindex"><strong>tabindex</strong></a></code> global attribute.</li>
</ul>
